Subject: bug#7005: 24.0.50; Devanagari rendering broken

From: Kenichi Handa <[email-masked]>
Date: Thu, 16 Sep 2010 21:21:07 +0900

In article <20100916120501.GA5217@kytes>, Ramkumar Ramachandra <[email-masked]> writes:

> Hi Kenichi,
> Kenichi Handa writes:
> > In article <20100910045115.GE27725@kytes>, Ramkumar Ramachandra <[email-masked]> writes:
> > 
> > > I see. Well, I suppose I should put it like this then:
> > > 1. Emacs should then refuse to render Devanagari without the required
> > >    libraries, not render them incorrectly.
> > 
> > What do you exactly mean by "refuse to render Devanagari"?
> > Show just empty boxes for each character?

> Yeah, or something like that. Isn't that better than rendering
> something that's incorrect and misleading?

I'm not sure.  I myself prefer seeing each character by its
original shape (i.e. no-reordering, no-ligature,
no-positioning) than seeing just empty boxes.

It may be good to highlight incorrectly rendered part by
some warning face.

---
Kenichi Handa
[email-masked]